org.modeshape.jcr.query.lucene

## Class HasValueQuery.ExistsScorer

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.search.Scorer
    - - org.modeshape.jcr.query.lucene.HasValueQuery.ExistsScorer

- Enclosing class:
    HasValueQuery

      protected class HasValueQuery.ExistsScorer
      extends org.apache.lucene.search.Scorer

  A scorer for the Path query.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer

      `org.apache.lucene.search.Scorer.ScorerVisitor<P extends org.apache.lucene.search.Query,C extends org.apache.lucene.search.Query,S extends org.apache.lucene.search.Scorer>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Scorer

      `weight`

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HasValueQuery.ExistsScorer(org.apache.lucene.index.IndexReader reader, org.apache.lucene.search.Weight weight)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `advance(int target)`
    `int` | `docID()`
    `int` | `nextDoc()`
    `float` | `score()` This method always returns a score of 1.0 for the current document, since only those documents that satisfy the NOT are scored by this scorer.

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `freq, getSimilarity, score, score, visitScorers, visitSubScorers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasValueQuery.ExistsScorer

          protected HasValueQuery.ExistsScorer(org.apache.lucene.index.IndexReader reader,
                                    org.apache.lucene.search.Weight weight)

  - ### Method Detail

    - #### docID

          public int docID()

      Specified by:
        `docID` in class `org.apache.lucene.search.DocIdSetIterator`
      See Also:
        `DocIdSetIterator.docID()`

    - #### nextDoc

          public int nextDoc()
                      throws IOException

      Specified by:
        `nextDoc` in class `org.apache.lucene.search.DocIdSetIterator`
      Throws:
        `IOException`
      See Also:
        `DocIdSetIterator.nextDoc()`

    - #### advance

          public int advance(int target)
                      throws IOException

      Specified by:
        `advance` in class `org.apache.lucene.search.DocIdSetIterator`
      Throws:
        `IOException`
      See Also:
        `DocIdSetIterator.advance(int)`

    - #### score

          public float score()

      This method always returns a score of 1.0 for the current document, since only those documents that satisfy the NOT are scored by this scorer.

      Specified by:
        `score` in class `org.apache.lucene.search.Scorer`
      See Also:
        `Scorer.score()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.